%
% sample of usage for the  chdav()   
%

global A   x0  x1  nvmax   mode  Title  filename  
global opert  
global MVprod  

%
% setup the input hermitian matrix (need not be semi-definite) 
%
  %A = delsq(numgrid('N', 70));
  A = conv_diff(30, 20, 10, 1, 1, rand(6000,1)); 
  
%
% use all default parameters to compute the smallest 30 eigenpairs of A
%
  [e, V]=chdav(A, 30); 


%  
% use some options, 
%   e.g,   use filter polynomial degree polm=30,
%          and use tol=1e-9         
%
  opts=struct('polym', 30, 'tol', 1e-9);  

  % compute the smallest 20 eigenpairs of A 
  [e, V]=chdav(A, 20, opts); 

